Bug 493310 - [ati] glx:testcase cause backtrace
[ati] glx:testcase cause backtrace
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
http://www.smolts.org/client/show/pub...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 07:39 EDT by Artem
Modified: 2009-11-16 10:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-16 10:25:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
cut from messages (3.65 KB, text/plain)
2009-04-01 07:39 EDT, Artem
no flags Details
Screenshots of broken KWin effects (81.56 KB, image/jpeg)
2009-04-05 07:50 EDT, Stan Trzmiel
no flags Details
As requested my dmesg (67.26 KB, text/plain)
2009-04-06 17:48 EDT, Stan Trzmiel
no flags Details
my xorg.conf (1.58 KB, text/plain)
2009-04-06 17:51 EDT, Stan Trzmiel
no flags Details
my Xorg.log (40.95 KB, text/plain)
2009-04-06 18:34 EDT, Stan Trzmiel
no flags Details
xorg.log (35.63 KB, text/plain)
2009-04-12 13:52 EDT, Artem
no flags Details
dmesg (33.16 KB, text/plain)
2009-04-12 13:53 EDT, Artem
no flags Details

  None (edit)
Description Artem 2009-04-01 07:39:34 EDT
Created attachment 337494 [details]
cut from messages

Description of problem:
https://fedoraproject.org/wiki/QA:Testcase_radeon_glx


Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.0-2.fc11

How reproducible:
always

Steps to Reproduce:
1.enable desktop effects
2.
3.
  
Actual results:
modal window (accept changes) appears, but it's almost transparent, systemsettings window becomes gray, appears backtrace in messages (nothing in Xorg.0.log)


Expected results:


Additional info:
Comment 1 Stan Trzmiel 2009-04-05 07:50:32 EDT
Created attachment 338221 [details]
Screenshots of broken KWin effects

Desktop effects works just fine in Gnome, but KWin effects seems to be broken.
The only things that are visible is window shadows and windows that are changed (moved or resized). Rest of the windows content is flickering (ie random parts appear for a moment). There's no new entries in /var/log/messages, Xorg0 nor kdm.log.
Had no opportunity to test it before 6.12 release but such behavior is present in any release from official alpha.

My current packages are:
xorg-x11-drv-ati-6.12.1-4.fc11.i586
xorg-x11-server-common-1.6.0-16.fc11.i586
libdrm-2.4.5-3.fc11.i586
mesa-libGLU-7.3-12.fc11.i586 *
mesa-dri-drivers-7.3-12.fc11.i586 *
mesa-libGL-7.3-12.fc11.i586 *

* - I downgraded mesa packages to test other problems I had with OpenGL in 3D apps. This change has no effect on kwin, in both cases (mesa 7.3 and 7.5) problem persist.
Comment 2 François Cami 2009-04-06 17:25:44 EDT
    Thanks for the bug report. We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue. 

    Please attach your X server config file (/etc/X11/xorg.conf), X server log file (/var/log/Xorg.*.log) and the output of "dmesg" to the bug report as individual uncompressed text/plain file attachments using the bugzilla file attachment link below. 

    We will review this issue again once you've had a chance to attach this information. 

    Thank you in advance. 

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Stan Trzmiel 2009-04-06 17:48:18 EDT
Created attachment 338406 [details]
As requested my dmesg
Comment 4 Stan Trzmiel 2009-04-06 17:51:10 EDT
Created attachment 338407 [details]
my xorg.conf

Xorg configuration is less relevant here. I've tried default settings (no xorg.conf) with the same results
Comment 5 François Cami 2009-04-06 18:05:35 EDT
Could you please add Xorg.0.log as well ?

Thanks

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Stan Trzmiel 2009-04-06 18:34:38 EDT
Created attachment 338408 [details]
my Xorg.log
Comment 7 François Cami 2009-04-06 18:42:02 EDT
Thanks, switching to ASSIGNED.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Artem 2009-04-12 13:52:53 EDT
Created attachment 339252 [details]
xorg.log
Comment 9 Artem 2009-04-12 13:53:25 EDT
Created attachment 339253 [details]
dmesg
Comment 10 Stan Trzmiel 2009-05-22 08:37:01 EDT
There's something strange about kwin effects, far all new users composite is broken as shown on  attached picture.
But today I've copied my user dir from my production system (Fedora 10) to F11 and composite started to work! It's terribly slow and there are problems with transparency but at least I can see content of the windows. Also dropdown lists seems to be not working (click has no effect, I have to use scroll).
I've switched to XRender and things start to behave correctly (ie no probs with transparency and lists) swiched back to OpenGL and minor issues were back but KDE is still usable.
What puzzles me, is a fact that KWin composite works fine on Intel gfx, so it should be driver related problem, but if it's radeon driver then why using settings from F10 partially solves the problem?
Mystery to me??
Comment 11 Bug Zapper 2009-06-09 08:56:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Stan Trzmiel 2009-06-13 10:11:13 EDT
Updating MESA to 7.6 fixed the issue. KWin composite works ok. The only problem is performance, it's a bit slow. Tasks like flipping trough menus cause severe CPU load increase. But considering the driver is fresh I can say things are progressing pretty well. :)
Comment 13 Matěj Cepl 2009-11-05 13:24:13 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 14 Artem 2009-11-15 13:29:06 EST
With latest updates on top of my F11 box I can't reproduce bug anymore.
Comment 15 Artem 2009-11-15 13:49:04 EST
(In reply to comment #14)
> With latest updates on top of my F11 box I can't reproduce bug anymore.  

The only problem is serious performance downgrade, which I have noticed after system restart (with nomodeset option)
Comment 16 Matěj Cepl 2009-11-16 10:25:51 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.